## Function `atan2( y, x )`

Description:
  Converts rectangular coordinates (`x`,`y`) to polar (`r`,`theta`). This method computes the phase `theta` by computing an arc tangent of `y/x` in the range of -pi to pi.

Parameters:
  `y` (floating point)
    the ordinate coordinate
  `x` (floating point)
    the abscissa coordinate

Return Value (floating point):
  the `theta` component (radians) of the point (`r`,`theta`) in polar coordinates that corresponds to the point (`x`,`y`) in Cartesian coordinates.

Signature:
  `double atan2(double, double)`